VARYING vec2 uv;
VARYING vec3 col;

void MAIN()
{
	uv = UV0;
	
	// -2 left lane
	//  0 center lane
	//  2 right lane

	// replace -4 with other car (end) bind
	// replace -2 with usercar (start) bind
	
// End part	
	if(VERTEX.x <= end && VERTEX.x < start){
		col = vec3(1.0,0.0,0.0);
		VERTEX.y+=othercar;
	}
// Start part
	else if(VERTEX.x >= start && VERTEX.x > end){
		col = vec3(1.0,1.0,1.0);
		VERTEX.y+=car/15;
	}
// Center part
	else{
		col = vec3(0.0,0.0,1.0);
		
		VERTEX.y-=(othercar-end-(othercar*(-VERTEX.x*0.5)))+end;
		//VERTEX.y+=car/15+VERTEX.x;
		
	}
	
}

